@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_stdio_semihosting
pico_stdio

Experimental support for stdout using RAM semihosting. More...

## Functions

void | stdio_semihosting_init (void)
| Explicitly initialize stdout over semihosting and add it to the current set of stdout targets.
void | stdio_semihosting_deinit (void)
| Explicitly deinitialize stdout over semihosting and add it to the current set of stdout targets.

## Detailed Description

Experimental support for stdout using RAM semihosting.

Linking this library or calling pico_enable_stdio_semihosting(TARGET ENABLED) in the CMake (which achieves the same thing) will add semihosting to the drivers used for standard output

## Function Documentation

## stdio_semihosting_deinit()

void stdio_semihosting_deinit | ( | void |  | ) |

Explicitly deinitialize stdout over semihosting and add it to the current set of stdout targets.

Note
  this method is automatically called by stdio_deinit_all() if pico_stdio_semihosting is included in the build

## stdio_semihosting_init()

void stdio_semihosting_init | ( | void |  | ) |

Explicitly initialize stdout over semihosting and add it to the current set of stdout targets.

Note
  this method is automatically called by stdio_init_all() if pico_stdio_semihosting is included in the build